package gui;

import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import domain.Owner;

public class OffersRelatedOwnerGUI extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JPanel contentPane;
	private Owner owner;
	/**
	 * Create the frame.
	 */
	public OffersRelatedOwnerGUI(Owner o) {
		this.getContentPane().setLayout(null);
		owner = o;
		setBounds(100, 100, 450, 562);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		
		JButton btnCreateOffers = new JButton("Create Offers");
		btnCreateOffers.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				Frame a = new AddOffersGUI(owner.getRuralHouses());
				a.setVisible(true);
			}
		});
		
		JButton btnModifyOffers = new JButton("Modify Offers");
		btnModifyOffers.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				Frame a = new ModifyOfferGUI(owner.getRuralHouses());
				a.setVisible(true);
				
			}
		});
		
		JButton btnDeleteOffers = new JButton("Delete Offers");
		btnDeleteOffers.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Frame a = new DeleteOfferGUI(owner);
				a.setVisible(true);
			}
		});
		GroupLayout gl_contentPane = new GroupLayout(contentPane);
		gl_contentPane.setHorizontalGroup(
			gl_contentPane.createParallelGroup(Alignment.LEADING)
				.addGroup(gl_contentPane.createSequentialGroup()
					.addGap(110)
					.addGroup(gl_contentPane.createParallelGroup(Alignment.TRAILING)
						.addComponent(btnDeleteOffers, Alignment.LEADING, GroupLayout.DEFAULT_SIZE, 1125, Short.MAX_VALUE)
						.addComponent(btnModifyOffers, Alignment.LEADING, GroupLayout.DEFAULT_SIZE, 1125, Short.MAX_VALUE)
						.addComponent(btnCreateOffers, GroupLayout.DEFAULT_SIZE, 1125, Short.MAX_VALUE))
					.addGap(121))
		);
		gl_contentPane.setVerticalGroup(
			gl_contentPane.createParallelGroup(Alignment.LEADING)
				.addGroup(gl_contentPane.createSequentialGroup()
					.addGap(88)
					.addComponent(btnCreateOffers, GroupLayout.PREFERRED_SIZE, 58, GroupLayout.PREFERRED_SIZE)
					.addGap(40)
					.addComponent(btnModifyOffers, GroupLayout.PREFERRED_SIZE, 57, GroupLayout.PREFERRED_SIZE)
					.addGap(39)
					.addComponent(btnDeleteOffers, GroupLayout.PREFERRED_SIZE, 54, GroupLayout.PREFERRED_SIZE)
					.addContainerGap(394, Short.MAX_VALUE))
		);
		contentPane.setLayout(gl_contentPane);
	}
}
